uses bios,lacrt;
var w:word;
    a,b:byte;
begin
w:=Find_SMBUS_baseport;
Enable_SMBUS_on_PCI;
writeln('ready:');
for a:=0 to 5 do
   begin
   b:=Read_SMBUS_byte(w,$51,a);
   writeln(HexStr(b));
   end;
readln;
end.